diff --git a/src/backend/executor/execProcnode.c b/src/backend/executor/execProcnode.c
index 76dd62f..be05ad0 100644
--- a/src/backend/executor/execProcnode.c
+++ b/src/backend/executor/execProcnode.c
@@ -77,6 +77,7 @@
  */
 #include "postgres.h"
 
+#include "catalog/pg_attribute.h"
 #include "executor/executor.h"
 #include "executor/nodeAgg.h"
 #include "executor/nodeAppend.h"
@@ -112,6 +113,7 @@
 #include "executor/nodeWindowAgg.h"
 #include "executor/nodeWorktablescan.h"
 #include "miscadmin.h"
+#include "utils/builtins.h"
 
 
 /* ------------------------------------------------------------------------
@@ -509,6 +511,17 @@ ExecProcNode(PlanState *node)
 	if (node->instrument)
 		InstrStopNode(node->instrument, TupIsNull(result) ? 0.0 : 1.0);
 
+	int i;
+	for(i = 0; i < result->tts_tupleDescriptor->natts; i++) {
+		if (1042 == result->tts_tupleDescriptor->attrs[i]->atttypid) {
+			if (0 == result->tts_values[i]) {
+				printf("null found\n");
+			} else {
+				char *value = TextDatumGetCString(result->tts_values[i]);
+			}
+		}
+	}
+
 	return result;
 }
 
